/*
 * Copyright (c) 2007, 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: SoapFaultTest.java 62536 2011-04-15 16:35:14Z af70133 $
 */

/* Copyright (c) 2003 Oracle Corporation.  All rights reserved. */
package com.sun.ts.tests.jaxrpc.sharedwebservices.faultservice;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.rmi.ServerException;

public interface SoapFaultTest extends Remote{
    public String alwaysThrowsException() throws RemoteException, DummyException;

    public String alwaysThrowsServerException() throws RemoteException, ServerException;

    public String alwaysThrowsSOAPFaultExceptionDetailNoChildren() throws RemoteException;

    public String alwaysThrowsSOAPFaultExceptionDetailUnqualifiedChildren() throws RemoteException;

    public String alwaysThrowsSOAPFaultExceptionDetailQualifiedChildren() throws RemoteException;

    public String alwaysThrowsSOAPFaultExceptionDetailNoAttributes() throws RemoteException;

    public String alwaysThrowsSOAPFaultExceptionDetailQualifiedAttributes() throws RemoteException;
}
